module RubyUber
  module Utility

    def self.symbolize_keys(obj)
      if obj.is_a?(Array)
        return obj.map { |i| symbolize_keys(i) }
      elsif obj.respond_to?(:reduce)
        obj.reduce({}) {|memo,(k,v)|
          memo[k.to_sym] = symbolize_keys(v); memo
        }
      else
        obj
      end
    end

  end
end